Submit documents for age verification
curl --request POST \
--url https://api.tuteliq.ai/api/v1/verify/submit \
--header 'Authorization: Bearer <token>'const options = {method: 'POST', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.tuteliq.ai/api/v1/verify/submit', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.tuteliq.ai/api/v1/verify/submit"
headers = {"Authorization": "Bearer <token>"}
response = requests.post(url, headers=headers)
print(response.text)val client = OkHttpClient()
val request = Request.Builder()
.url("https://api.tuteliq.ai/api/v1/verify/submit")
.post(null)
.addHeader("Authorization", "Bearer <token>")
.build()
val response = client.newCall(request).execute()import Foundation
let url = URL(string: "https://api.tuteliq.ai/api/v1/verify/submit")!
var request = URLRequest(url: url)
request.httpMethod = "POST"
request.timeoutInterval = 10
request.allHTTPHeaderFields = ["Authorization": "Bearer <token>"]
let (data, _) = try await URLSession.shared.data(for: request)
print(String(decoding: data, as: UTF8.self))using RestSharp;
var options = new RestClientOptions("https://api.tuteliq.ai/api/v1/verify/submit");
var client = new RestClient(options);
var request = new RestRequest("");
request.AddHeader("Authorization", "Bearer <token>");
var response = await client.PostAsync(request);
Console.WriteLine("{0}", response.Content);
false{
"verification_id": "<string>",
"age": 123,
"date_of_birth": "<string>",
"is_minor": true,
"document": {
"ocr_confidence": 123,
"name_extracted": "<string>",
"first_name": "<string>",
"last_name": "<string>",
"dob_extracted": "<string>",
"document_number": "<string>",
"document_number_valid": true,
"sex": "<string>",
"country_code": "<string>",
"country_name": "<string>",
"document_type": "<string>",
"expiration_date": "<string>",
"expired": true,
"issue_date": "<string>",
"height_cm": 123,
"place_of_birth": "<string>",
"nationality": "<string>",
"issuing_authority": "<string>",
"national_id": {
"value": "<string>",
"valid": true,
"type": "<string>",
"country_code": "<string>"
},
"mrz_valid": true,
"mrz_fields": {
"document_number": "<string>",
"nationality": "<string>",
"date_of_birth": "<string>",
"expiry_date": "<string>",
"sex": "<string>",
"surname": "<string>",
"given_names": "<string>"
}
},
"face_match": {
"matched": true,
"distance": 123,
"confidence": 123
},
"liveness": {
"valid": true,
"reason": "<string>"
},
"credits_used": 123
}Submit documents for age verification
Upload ID front, ID back, optional passport, and a selfie with liveness token for age verification. Returns verification result including age, face match, and liveness status.
POST
/
api
/
v1
/
verify
/
submit
Submit documents for age verification
curl --request POST \
--url https://api.tuteliq.ai/api/v1/verify/submit \
--header 'Authorization: Bearer <token>'const options = {method: 'POST', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.tuteliq.ai/api/v1/verify/submit', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.tuteliq.ai/api/v1/verify/submit"
headers = {"Authorization": "Bearer <token>"}
response = requests.post(url, headers=headers)
print(response.text)val client = OkHttpClient()
val request = Request.Builder()
.url("https://api.tuteliq.ai/api/v1/verify/submit")
.post(null)
.addHeader("Authorization", "Bearer <token>")
.build()
val response = client.newCall(request).execute()import Foundation
let url = URL(string: "https://api.tuteliq.ai/api/v1/verify/submit")!
var request = URLRequest(url: url)
request.httpMethod = "POST"
request.timeoutInterval = 10
request.allHTTPHeaderFields = ["Authorization": "Bearer <token>"]
let (data, _) = try await URLSession.shared.data(for: request)
print(String(decoding: data, as: UTF8.self))using RestSharp;
var options = new RestClientOptions("https://api.tuteliq.ai/api/v1/verify/submit");
var client = new RestClient(options);
var request = new RestRequest("");
request.AddHeader("Authorization", "Bearer <token>");
var response = await client.PostAsync(request);
Console.WriteLine("{0}", response.Content);
false{
"verification_id": "<string>",
"age": 123,
"date_of_birth": "<string>",
"is_minor": true,
"document": {
"ocr_confidence": 123,
"name_extracted": "<string>",
"first_name": "<string>",
"last_name": "<string>",
"dob_extracted": "<string>",
"document_number": "<string>",
"document_number_valid": true,
"sex": "<string>",
"country_code": "<string>",
"country_name": "<string>",
"document_type": "<string>",
"expiration_date": "<string>",
"expired": true,
"issue_date": "<string>",
"height_cm": 123,
"place_of_birth": "<string>",
"nationality": "<string>",
"issuing_authority": "<string>",
"national_id": {
"value": "<string>",
"valid": true,
"type": "<string>",
"country_code": "<string>"
},
"mrz_valid": true,
"mrz_fields": {
"document_number": "<string>",
"nationality": "<string>",
"date_of_birth": "<string>",
"expiry_date": "<string>",
"sex": "<string>",
"surname": "<string>",
"given_names": "<string>"
}
},
"face_match": {
"matched": true,
"distance": 123,
"confidence": 123
},
"liveness": {
"valid": true,
"reason": "<string>"
},
"credits_used": 123
}Authorizations
bearerAuthapiKeyHeader
API key as Bearer token
Response
200 - application/json
Default Response
Available options:
verified, failed, needs_review Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
⌘I